'uninstall_outils_clients_bo5.vbs - Desinstalle les outils clients pour BO5
' Pascal MIETLICKI - 04/06/2010 09:41

'Ce script doit tourner sous Windows 2000 et Windows XP
'Il permet de recuperer les informations pour la desinstaller du programme voulu
'(ici BO5) notamment le guid et la commande de desinstallation. 

'Part of this script is based on script posted by Torgeir Bakken
'Date: Wed, 17 Sep 2003 21:06:44 +0200
'From: "Torgeir Bakken (MVP)"
'Subject: Re: Track installed software, patches and plugins using WMI
'Newsgroups: microsoft.public.win32.programmer.wmi

  'Quelques variables pour fouiller dans le registre
  Dim oReg, sBaseKey, iRC, aSubKeys
  'Un booleen permettant de savoir si on trouve l'objet
  Dim found
  found = false
  'Les clefs de la base de registre a regarder
  Const HKLM = &H80000002 'HKEY_LOCAL_MACHINE
  Set oReg = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" & _
              "localhost" & "/root/default:StdRegProv")
  sBaseKey = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\"
  iRC = oReg.EnumKey(HKLM, sBaseKey, aSubKeys)

  'Quelques variables
  Dim sKey, sValue, sUninstall

  For Each sKey In aSubKeys
    'On recupere le nom du programme
    iRC = oReg.GetStringValue(HKLM, sBaseKey & sKey, "DisplayName", sValue)
    If iRC <> 0 Then
      oReg.GetStringValue HKLM, sBaseKey & sKey, "QuietDisplayName", sValue
    End If
    'On cherche le programme BO5
     If (sValue <> "") AND (InStr(sValue, "BusinessObjects 5")) Then
     found = true
     oReg.GetStringValue HKLM, sBaseKey & sKey, "UninstallString", sUninstall
        'BusinessObjects 5
        If (sUninstall<>"") Then
          WScript.CreateObject("WScript.Shell").Exec(sUninstall & " -SILENT -REMOVE -NOLOGO")
        End If   
     End If
  Next
  
  If (found<>true) Then
    MsgBox "Impossible de trouver BusinessObjects 5 sur votre machine, ne peut proceder a la desinstallation."
  Else
    MsgBox "Commande de desinstallation silencieuse pour BO5 lancee."
  End if
